<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.product.dao.KwpGoodsAttributeMapper">

    <insert id="insertBatch">
        insert into kwp_goods_attribute
        <trim prefix="(" suffix=")" suffixOverrides=",">
            id,
            goods_id,
            name,
            val,
            remark,
            status,
            create_by,
            create_time,
            update_by,
            update_time,
            del_flag
        </trim>
        values
        <foreach collection="list" item="item" separator=",">
            <trim prefix="(" suffix=")" suffixOverrides=",">
                #{item.id,jdbcType=BIGINT},
                #{item.goodsId,jdbcType=BIGINT},
                #{item.name,jdbcType=VARCHAR},
                #{item.val,jdbcType=VARCHAR},
                #{item.remark,jdbcType=VARCHAR},
                #{item.status,jdbcType=INTEGER},
                #{item.createBy,jdbcType=BIGINT},
                #{item.createTime,jdbcType=TIMESTAMP},
                #{item.updateBy,jdbcType=BIGINT},
                #{item.updateTime,jdbcType=TIMESTAMP},
                #{item.delFlag,jdbcType=INTEGER}
            </trim>
        </foreach>
    </insert>
</mapper>